Name:           python-qupulse
Version:        0.10
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Quantum compUting PULse parametrization and SEquencing framework

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/qutech/qupulse
Source:         %{pypi_source qupulse}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'qupulse' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-qupulse
Summary:        %{summary}

%description -n python3-qupulse %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-qupulse autologging,default,docs,faster-fractions,faster-sampling,plotting,tabor-instruments,tektronix,tests,zurich-instruments


%prep
%autosetup -p1 -n qupulse-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x autologging,default,docs,faster-fractions,faster-sampling,plotting,tabor-instruments,tektronix,tests,zurich-instruments


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-qupulse -f %{pyproject_files}


%changelog
%autochangelog